<?php

namespace App\Controller\Web;

class DownloadController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('download');
    }

    /**
     * 首頁
     */
    public function index($level_1_class_id = null)
    {
        // 分類
        $class = \DB::table($this->config['class_table'])->where([['act', 1], ['del', 0]])->orderBy('class_id', 'asc')->orderBy('no', 'desc')->orderBy('id', 'asc')->get(['id', 'class_id', 'name']);

        $download_class = $class->keyBy('id');
        $download_class_tree = $class->groupBy('class_id');

        // 頁數
        $page = \Request::query('page', 1);
        $page_show = 10;

        // 預設
        empty($level_1_class_id) and $level_1_class_id = $download_class_tree[0][0]['id'];

        // 判斷存在以及檢查是否為正確父子關係
        if (!isset($download_class[$level_1_class_id])) {
            $level_1_class_id = null;
        }

        // Data
        $download = \DB::table($this->config['table'])
                   ->select('id', 'class_id', 'name', 'file', 'sub_name')
		           ->where([['class_id', $level_1_class_id], ['act', 1], ['del', 0]])
		           ->orderBy('no', 'desc')
		           ->orderBy('id', 'asc')
		           ->paginate($page_show, ['*'], 'page', $page)
		           ->withPath(base_path(\Request::path()))
		           ->appends(\Request::query());

        $view = \View::make("web.{$this->config['folder']}.index", compact('download', 'download_class', 'download_class_tree', 'level_1_class_id'))->render();

        return \Response::create($view)->send();
    }
}