@extends('web.includes.layout')

@section('title','| Q&A')

@push('head')
<script>
    $(window).on('load',function(){
        $('.text').hide();
        $('.name').click(function(){
            $(this).toggleClass('active');
            $(this).siblings('.text').slideToggle();
            $(this).parents('.item').siblings().find('.name').removeClass('active');
            $(this).parents('.item').siblings().find('.text').slideUp();
        });
    });
</script>
@endpush

@section('main_id','faq')
@section('main')

<section>
    <div class="container">
        <h3 class="main-title mb-4 text-center">Q&A</h3>
        <h4 class="text-center mb-4 mb-md-5">The questions that you might ask us:</h4>
        <div class="faq-box">
            <div class="item">
                <h5 class="name">Do you have MOQ ( Minimum order quantity ) ?</h5>
                <P class="text">
                    We though need the minimum quantity when we produce the syrup/Nata de coco, we have already been in this business for years, so we are able to distribute all of our product after we produced a batch in 2 months(Normally the shelf life is 1 year), so we do not really have a minimum order quantity for our customers.<br>
                    Plus, we know it is a little impossible if you just open one shop or just begin your business, how can you buy a big quantity?
                </P>
            </div>
            <div class="item">
                <h5 class="name">If I have no idea about bubble tea but want to open a bubble tea shop , can you support me?</h5>
                <P class="text">
                    Yes, as we have already supported our customers to build their bubble tea shop/kiosk, so we will offer some existed projects for your reference.<br>
                    We also have a START Kit for our customers ,it will help you to build more concept about bubble tea, we hope all of our customers will be successful because we deeply know to establish a business is not easy.<br>
                    Therefore, we hope you can get more ideas before launching or spend your bucks . And once you have more concept we will hope you can join or Training Course to get more ideas about bubble tea
                </P>
            </div>
            <div class="item">
                <h5 class="name">What are in your Start Kit and can I modify or add the items if it is not included ?</h5>
                <P class="text">
                    below is the items in our Start kit, and YES you can modify if there is anything you would like to try.<br>
                    <br>
                    Syrup<br>
                    1). Passion Fruit Syrup 1 x 150 cc /bottle.<br>
                    2). Brown Sugar Syrup 1 x 150 cc /bottle.<br>
                    3). Caramel Sugar Syrup 1 x 150 cc /bottle.<br>
                    4). Green Apple Syrup 1 x 150 cc /bottle.<br>
                    5). Strawberry Syrup 1 x 150 cc /bottle.<br>
                    6). Longan Honey 1 x 150 cc /bottle.<br>
                    7). Fructose Syrup 3 x 150cc / bottle<br>
                    <br>
                    Powder<br>
                    1). Chocolate Powder 1 x 150 g / bag<br>
                    2). Taro Powder 1 x 150 g / bag<br>
                    3). Honeydew Powder 1 x 150 g / bag<br>
                    4). 3 in 1 Coffee Powder 1 x150 g/ bag<br>
                    5). Non-diary Creamer x 400g / bag<br>
                    <br>
                    Toppings<br>
                    1). Original Jelly x 150 cc / bottle. <br>
                    2). Mix Fruit Jelly x 150 cc / bottle.<br>
                    3). Tapioca 1 x 400 g / bag<br>
                    4). 1: 6 Egg Pudding Powder 1 x 100 g/ bag<br>
                    <br>
                    Tea<br>
                    1). Black Tea x 100g / bag<br>
                    2). Jasmine Green Tea  x 100g / bag<br>
                    3). Oolong Tea x 50g /bag<br>
                    <br>
                    others<br>
                    1). Tea spoon x 2 pcs<br>
                    2). Tea bag for cooking tea x 2 bags<br>
                    3). 500 cc Shaker x 1 pc<br>
                    4). Recipes
                </P>
            </div>
            <div class="item">
                <h5 class="name">What is training course including?</h5>
                <P class="text">
                    How to brew base tea via the thermos/teapresso machine/tea maker.<br>
                    How to make relish/flavored tea by powder/syrup/jam.<br>
                    How to make the slush/smoothies/frappie<br>
                    How to cook the toppings, such as tapioca and puddings.<br>
                    Create your own menu.
                </P>
            </div>
            <div class="item">
                <h5 class="name">If you have recipe for us to refer?</h5>
                <P class="text">
                    Yes, we have our recipe for you to refer, but we will hope that you can create your different.
                    <br>
                    But if you see any interesting drinks but have no idea about how to do, you can let us know, Our baristas will be able to make for you.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How much should I pay if I would like to get your Start kit or Samples?</h5>
                <P class="text">
                    Our sample or Start Kit is free, but we do charge the shipping cost to your place via EMS.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How to keep Tapioca pearls after cooked? </h5>
                <P class="text">
                    Store in the room temperature and mix with the fructose in order to keep your tapioca soft and wet.
                    <br>
                    Remark: the cooked tapioca pearls suggested to be sold out in 6 hours.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How to KEEP the uncooked Tapioca pearls?</h5>
                <P class="text">
                    Keep the uncooked tapioca sealed and in the dry and cool place
                    <br>
                    Remark: The open tapioca will be suggested to be cooked and sold out in 3 days.
                </P>
            </div>
            <div class="item">
                <h5 class="name">What is the shelf life for the materials? </h5>
                <P class="text">
                    Except for the tapioca 6 months, the syrup, powder ,Nata De coco, Jams are 1 Year. 
                </P>
            </div>
            <div class="item">
                <h5 class="name">How many cups of drinks can be made with a bag of 3 kg Tapioca pearls ?</h5>
                <P class="text">
                    Depending on how many grams you put in your drinks. Our 3 kg tapioca will be around 6 kg after cooked and added the fructose.
                    <br>
                    We normally suggest our customers put 60g for 12 oz cup, 90g for 16oz cup and 120g for 24 oz cup.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How many cups of bubble tea can make per bag of powder?</h5>
                <P class="text">
                    Depending on how many grams you put in your drinks and what drinks you make.
                    <br>
                    Take Taro Milk tea as an instance, it will be around 20 cups for 24 oz ,30 cups for 16 oz and 40 cups for 12 oz.
                </P>
            </div>
            <div class="item">
                <h5 class="name">If all of bubble tea material in Fokus is Vegetarian??</h5>
                <P class="text">
                    In Fokus, except that the pudding series is contented with gelatin, others are all vegetarian food product.
                    <br>
                    Our syrup, concentrated juice , jelly ,popping bobas and tapioca (starch series ), those are all proceeded with the plant base ingredients.
                    <br>
                    Therefore, if the customers who are located in vegetarian country, such as Cambodia we will inform them not to import the pudding powder.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How many cups a roll of PP sealing film can be sealed?</h5>
                <P class="text">
                    A roll of sealing film is 450M and it can seal paper cup and pp cup and It is around 4000 cup/ roll.
                </P>
            </div>
            <div class="item">
                <h5 class="name">What is your Payment Term?</h5>
                <P class="text">
                    Normally, we accept the full payment TT in advance , but we know some countries are Foreign Exchange Control.
                    <br>
                    Therefore we accept our customers to separate the payment into 2 times .
                    <br>
                    However, we will still need our customers remit the rest of amount before we ship out the orders.
                </P>
            </div>
            <div class="item">
                <h5 class="name">How should I pay?</h5>
                <P class="text">
                    There are 3 ways we are now using.
                    <br>
                    1).by Bank Transfer.
                    <br>
                    2).by Paypal
                    <br>
                    3).by Western union.
                </P>
            </div>
            <div class="item">
                <h5 class="name">when I place an order how long can I receive the item?</h5>
                <P class="text">
                    Once we get your payment(full amount or down payment), we will start to prepare your order, and it normally takes around 5 to 10 working days to get everything ready
                    <br>
                    However, the sealing film will need around 20 working days.
                    <br>
                    The Paper cup will need around 20 working days.
                    <br>
                    The PP cup will need around 15 working days.
                </P>
            </div>
            <div class="item">
                <h5 class="name">Could you conceal your brand and put on our logo for me?</h5>
                <P class="text">
                    As most of our customers are opening their franchise for people, so we normally conceal our brand and replace theirs.
                    <br>
                    Therefore, it is no problem for us to conceal our brand and put your logo on
                    <br>
                    What is the minimum order quantity(M.O.Q) of making my logo on cup and sealing film and how many working day are needed to produce?
                    <br><br>
                    For the PP Cups:
                    <br>
                    1). The M.O.Q is 30000 per size cup and it takes 15 working days to produce
                    <br>
                    2). Lead time: 15 working days.
                    <br><br>
                    For Sealing Film: 
                    <br>
                    1). The M.O.Q is 60 rolls
                    <br>
                    2). Lead time:20 working days.
                    <br><br>
                    For the paper cups: 
                    <br>
                    1).The M.O.Q is 30000 per size cup 
                    <br>
                    2). Lead time :20 working days
                    <br>
                    NOTE: Please offer the artwork in AI or PSD format so that we can offer you the quotation.
                </P>
            </div>
        </div>
    </div>
</section>

@endsection